Get Api Key Status
GET
/settings/api-key-status/
const url = 'https://example.com/api/settings/api-key-status/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/settings/api-key-status/ \ --header 'Authorization: Bearer <token>'Return which LLM API keys are configured (without exposing values).
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
ApiKeyStatusResponse
Response for GET /settings/api-key-status/.
object
anthropic_configured
required
Anthropic Configured
Whether ANTHROPIC_API_KEY is set in the environment.
boolean
openai_configured
required
Openai Configured
Whether OPENAI_API_KEY is set in the environment.
boolean
Example generated
{ "anthropic_configured": true, "openai_configured": true}